import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {AngularFireAuthGuard} from '@angular/fire/compat/auth-guard';

const routes: Routes = [
  {
    path: 'statistics',
    loadChildren: () => import('app/statistics/statistics.module').then(m => m.StatisticsModule),
  },
  {
    path: 'administration',
    loadChildren: () => import('app/auth/administration/administration.module').then(m => m.AdministrationModule),
    canActivate: [AngularFireAuthGuard]
  },
  {
    path: 'edit',
    loadChildren: () => import('app/auth/edit/edit.module').then(m => m.EditModule),
    canActivate: [AngularFireAuthGuard],
  },
  {
    path: 'login',
    loadChildren: () => import('app/login/login.module').then(m => m.LoginModule),
  },
  {
    path: 'logout',
    loadChildren: () => import('app/logout/logout.module').then(m => m.LogoutModule),
    canActivate: [AngularFireAuthGuard]
  },
  {path: '', redirectTo: 'statistics', pathMatch: 'full'}
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule {
}
