import {Component} from '@angular/core';
import {AngularFireDatabase} from '@angular/fire/compat/database';
import {Body} from './body';
import {FactionInBodyService} from '../../shared/faction-in-body.service';

@Component({
  selector: 'app-bodies',
  templateUrl: './bodies.component.html',
  styleUrls: ['./bodies.component.scss']
})
export class BodiesComponent {
  constructor(private database: AngularFireDatabase,
              public factionInBodyService: FactionInBodyService) {
  }

  public addBody(newBody: string): void {
    const bodyRef = this.database.list<Body>('bodies');
    bodyRef.push({name: newBody});
  }

  public deleteBody(bodyKey: string | null): void {
    const bodyRef = this.database.list<Body>('bodies');
    if (bodyKey != null) {
      bodyRef.remove(bodyKey);
      this.factionInBodyService.deleteFactionsInBody(bodyKey);
    }
  }
}
