import {Component} from '@angular/core';
import {AngularFireDatabase} from '@angular/fire/compat/database';
import {Faction} from './faction';
import {FactionInBodyService} from '../../shared/faction-in-body.service';
import {SpeechTimeService} from '../../shared/speech-time.service';

@Component({
  selector: 'app-factions',
  templateUrl: './factions.component.html',
  styleUrls: ['./factions.component.scss']
})
export class FactionsComponent {
  constructor(private database: AngularFireDatabase,
              public factionInBodyService: FactionInBodyService,
              private speechTimeService: SpeechTimeService) {
  }

  public addFaction(name: string): void {
    const factionRef = this.database.list<Faction>('factions');
    factionRef.push({
      name: name
    });
  }

  public deleteFaction(key: string | null): void {
    const factionRef = this.database.list<Faction>('factions');
    if (key != null) {
      factionRef.remove(key);
      this.factionInBodyService.deleteFactions(key);
      this.speechTimeService.deleteSpeechTimesOfFaction(key);
    }
  }
}
