import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'toMinuteSeconds'
})
export class ToMinuteSecondsPipe implements PipeTransform {

  transform(value: number|undefined, ...args: unknown[]): string {
    if (value == null) {
      return '';
    }
    const seconds = Math.floor(value / 1000);
    const secondsLeft = seconds % 60;
    const minutes = (seconds - secondsLeft) / 60;
    return minutes + ':' + secondsLeft;
  }

}
